Bug 490005

Summary: intel 845G, X freezes when activating "desktop effects" with KMS disabled
Product: [Fedora] Fedora Reporter: Jason Long <jason>
Component: xorg-x11-drv-intelAssignee: Adam Jackson <ajax>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 11CC: ajax, awilliam, axet, bojan, bryan.christ, davinder.khabra, d.devaal, jfrieben, kicsia, nkudriavtsev, stuart, xgl-maint
Target Milestone: ---Keywords: CommonBugs
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: https://fedoraproject.org/wiki/Common_F11_bugs#845-no-compiz, card_845G
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 07:27:50 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Xorg log file
none
Xorg.0.log for Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device rev 3
none
ABRT backtrace created when enabling desktop effects
none
Xorg.0.log for 82845G rev 01 and nomodeset none

Description Jason Long 2009-03-12 16:30:00 EDT
Description of problem:

When selecting "Enable Desktop Effects", the screen locks up.

I was following this test case
https://fedoraproject.org/wiki/QA:Testcase_intelvideo_glx,
though I did NOT remove the "nomodeset" option from the bootloader config.


Hardware:
http://www.smolts.org/client/show/pub_e5adecb3-9df6-4355-9dfc-a5622c85dc7f

Packages:
xorg-x11-drv-intel-2.6.0-14.fc11.i586
xorg-x11-server-Xorg-1.6.0-9.fc11.i586
kernel-2.6.29-0.218.rc7.git2.fc11.i586
libdrm-2.4.5-0.fc11.i586
libXext-1.0.99.1-2.fc11.i586
libXv-1.0.4-2.fc11.i586
libXvMC-1.0.4-6.fc11.i586


How reproducible:
happened 3 times out of 3 tries


Steps to Reproduce:
1. desktop effects are not enabled
2. menu -> System -> Preferences -> Desktop Effects
3. click Enable Desktop Effects

  
Actual results:
After a moment the Gnome panels disappear, leaving just the desktop background and a spinning mouse pointer. Then after a second or two, the mouse pointer stops spinner. You can still move the mouse pointer, but the system does not respond to mouse clicks or any keypresses. Pressing Ctrl+Alt+F2 (to change VT) or Ctrl+Alt+Backspace (to kill X) have no effect. But the system does still let me login via SSH.


Expected results:
The Gnome panels disappear for a moment, and then things reappear with the "effects" enabled.


Additional info:
I booted the system with the "nomodeset" option enabled.

After I reboot the system, and login, the desktop effects are still NOT enabled.
Comment 1 Jason Long 2009-03-13 08:42:13 EDT
When I attempt to enable desktop effects, the following gets added to the output of `dmesg'.


=======================================================
[ INFO: possible circular locking dependency detected ]
2.6.29-0.218.rc7.git2.fc11.i586 #1
-------------------------------------------------------
Xorg/2683 is trying to acquire lock:
 (&mm->mmap_sem){----}, at: [<c0491247>] might_fault+0x48/0x85

but task is already holding lock:
 (&dev->struct_mutex){--..}, at: [<e01aeec3>] i915_batchbuffer+0x106/0x32b [i915]

which lock already depends on the new lock.


the existing dependency chain (in reverse order) is:

-> #2 (&dev->struct_mutex){--..}:
       [<c0450c34>] __lock_acquire+0x970/0xace
       [<c0450ded>] lock_acquire+0x5b/0x81
       [<c06efbc4>] __mutex_lock_common+0xdd/0x338
       [<c06efec6>] mutex_lock_nested+0x33/0x3b
       [<e0042c80>] drm_vm_open+0x2a/0x3c [drm]
       [<c042e2f5>] dup_mm+0x247/0x30b
       [<c042ee12>] copy_process+0xa25/0x10ad
       [<c042f5b2>] do_fork+0x118/0x28d
       [<c040298f>] sys_clone+0x28/0x2d
       [<c0403f92>] syscall_call+0x7/0xb
       [<ffffffff>] 0xffffffff

-> #1 (&mm->mmap_sem/1){--..}:
       [<c0450c34>] __lock_acquire+0x970/0xace
       [<c0450ded>] lock_acquire+0x5b/0x81
       [<c04454f5>] down_write_nested+0x3f/0x7b
       [<c042e15c>] dup_mm+0xae/0x30b
       [<c042ee12>] copy_process+0xa25/0x10ad
       [<c042f5b2>] do_fork+0x118/0x28d
       [<c040298f>] sys_clone+0x28/0x2d
       [<c0403f92>] syscall_call+0x7/0xb
       [<ffffffff>] 0xffffffff

-> #0 (&mm->mmap_sem){----}:
       [<c0450b01>] __lock_acquire+0x83d/0xace
       [<c0450ded>] lock_acquire+0x5b/0x81
       [<c0491264>] might_fault+0x65/0x85
       [<e01ae7cf>] i915_emit_box+0x20/0x21f [i915]
       [<e01aef3a>] i915_batchbuffer+0x17d/0x32b [i915]
       [<e003e6d7>] drm_ioctl+0x1b7/0x236 [drm]
       [<c04b46e0>] vfs_ioctl+0x5a/0x74
       [<c04b4c88>] do_vfs_ioctl+0x48b/0x4c9
       [<c04b4d0c>] sys_ioctl+0x46/0x66
       [<c0403f92>] syscall_call+0x7/0xb
       [<ffffffff>] 0xffffffff

other info that might help us debug this:

1 lock held by Xorg/2683:
 #0:  (&dev->struct_mutex){--..}, at: [<e01aeec3>] i915_batchbuffer+0x106/0x32b [i915]

stack backtrace:
Pid: 2683, comm: Xorg Not tainted 2.6.29-0.218.rc7.git2.fc11.i586 #1
Call Trace:
 [<c06eea37>] ? printk+0x14/0x1d
 [<c04500af>] print_circular_bug_tail+0x5d/0x68
 [<c0450b01>] __lock_acquire+0x83d/0xace
 [<c0491247>] ? might_fault+0x48/0x85
 [<c0450ded>] lock_acquire+0x5b/0x81
 [<c0491247>] ? might_fault+0x48/0x85
 [<c0491264>] might_fault+0x65/0x85
 [<c0491247>] ? might_fault+0x48/0x85
 [<e01ae7cf>] i915_emit_box+0x20/0x21f [i915]
 [<e01aef3a>] i915_batchbuffer+0x17d/0x32b [i915]
 [<c0543a43>] ? copy_from_user+0x32/0x119
 [<e003e6d7>] drm_ioctl+0x1b7/0x236 [drm]
 [<e01aedbd>] ? i915_batchbuffer+0x0/0x32b [i915]
 [<c04b46e0>] vfs_ioctl+0x5a/0x74
 [<c04b4c88>] do_vfs_ioctl+0x48b/0x4c9
 [<c05173d6>] ? file_has_perm+0x81/0x8a
 [<c04b4d0c>] sys_ioctl+0x46/0x66
 [<c04b4d0c>] ? sys_ioctl+0x46/0x66
 [<c0403f92>] syscall_call+0x7/0xb
Comment 2 Jason Long 2009-03-13 08:44:58 EDT
Created attachment 335083 [details]
Xorg log file

And here is my Xorg.0.log log file.

Lines 1-1342 were present prior to clicking "Enable Desktop Effects".

Lines 1343-1464 only appeared when/after I clicked "Enable Desktop Effects".
Comment 3 Joachim Frieben 2009-04-12 14:53:28 EDT
After booting with kernel option "nomodeset" because of bug 488980, activation of desktop effects locks up X. Only a functional mouse pointer appears on top of an otherwise empty desktop. System does not respond to keyboard input.
This is on a system with Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device rev 3.
- kernel-2.6.29.1-68.fc11.i586
- xorg-x11-drv-intel-2.6.99.902-2.fc11.i586
- xorg-x11-server-Xorg-1.6.0-19.fc11.i586
Comment 4 Bryan Christ 2009-05-20 15:40:27 EDT
I can confirm this bug.  Exact same behavior on an Integrated Intel GMA 3100 chipset.
Comment 5 Bryan Christ 2009-05-20 15:41:00 EDT
Tested with F11 preview with latest updates available via yum.
Comment 6 Adam Williamson 2009-05-20 17:29:36 EDT
That does not actually sound like the same chipset...can you provide your 'lspci -nn' output?
Comment 7 Bryan Christ 2009-05-20 17:34:04 EDT
Adam, you are correct.  My system is ICH9 which is a bit more recent than 845 (ICH7 I believe).  In any case, here is the output.

00:02.0 VGA compatible controller [0300]: Intel Corporation 82Q35 Express Integrated Graphics Controller [8086:29b2] (rev 02)
00:02.1 Display controller [0380]: Intel Corporation 82Q35 Express Integrated Graphics Controller [8086:29b3] (rev 02)
Comment 8 Adam Williamson 2009-05-20 18:18:52 EDT
hmm, 845 hardware is substantially different to what you have...do you get the same trace in dmesg as Jason does?
Comment 9 Jason Long 2009-05-21 09:27:18 EDT
An update-

I've discovered this problem is dependent on kernel-mode-setting. The freeze only occurs (for me) when KMS is disabled.

My current package list:
kernel-2.6.29-3.155.fc11.i586
xorg-x11-drv-intel-2.7.0-4.fc11.i586
xorg-x11-server-Xorg-1.6.1.901-1.fc11.i586
libdrm-2.4.6-6.fc11.i586

My hardware:
Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device rev 3


With "nomodeset", the system still locks up when I try to enable desktop effects.

Without "nomodeset", desktop effects activate just fine.


--

By the way, my Smolt profile link at the top of this ticket is no longer valid. It seems to be going to somebody else's hardware profile now. Is that normal?
Comment 10 Bryan Christ 2009-05-21 10:50:16 EDT
(response to comment #3)

Adam, 

How can I fetch dmesg for you?  As Joachim mentioned in comment #3, the only think working is my mouse.  The keyboard is unresponsive.
Comment 11 Adam Williamson 2009-05-21 15:16:05 EDT
bryan: take a look at /var/log/messages , it should be in there also (the file's timestamped so you should be able to find the appropriate place in it).

is jason's comment about modesetting also accurate for your case?
Comment 12 Bryan Christ 2009-05-22 11:17:21 EDT
I don't see anything unusual in /var/log/messages.

I checked grub menu.lst and do not see nomodeset being passed in.
Comment 13 Adam Williamson 2009-05-22 15:24:20 EDT
Sounds like yours is a different bug, Bryan, as far as I can tell. Please file a new report. Thanks!
Comment 14 Antal KICSI 2009-05-28 14:00:20 EDT
I have the problem stated by Jason Long at comment #9 also!

Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 01)
Comment 15 Bug Zapper 2009-06-09 08:11:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Joachim Frieben 2009-06-13 03:39:54 EDT
After upgrading a system sporting an "Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device rev 3" to
- kernel-2.6.29.4-168.fc11
- mesa-7.6-0.1.fc11
- xorg-x11-server-1.6.1.901-5.fc11
enabling "Desktop Effects" does not freeze X anymore. Instead, X will simply crash, and the user is dropped back to GDM.
Comment 17 Davinder Khabra 2009-07-09 18:04:37 EDT
I'm running Fedora 11 on a MacBook with the nomodeset kernel boot option because the graphical boot just hangs.  When I enable desktop effects it works but when I reboot and try to log in, logging in crashes back to the log in window.  The only workaround I found was to create another user by ctrl-alt-f2 and logging in as root.  Using adduser and passwd to create another user.  Then I had to yum remove compiz.  Next I logged into my original user account.  I had to reinstall compiz as the desktop effects preference is missing otherwise.  Disable desktop effects before rebooting.

Model Name:	MacBook
  Model Identifier:	MacBook1,1
  Processor Name:	Intel Core Duo
  Processor Speed:	1.83 GHz

Intel GMA 950:

  Chipset Model:	GMA 950
  Type:	Display
  Bus:	Built-In
  VRAM (Total):	64 MB of Shared System Memory
  Vendor:	Intel (0x8086)
  Device ID:	0x27a2
  Revision ID:	0x0003
Comment 18 Dennis de Vaal 2009-08-08 09:22:03 EDT
I have the exact same problem as Jason Long. I find this very disturbing because it prevents people from using Desktop Effects. This bug is also reported quite some time ago. I remember in Fedora 10 the performance was very slow (when it worked) (not related to this problem). Why is it taking so long to fix this bug Cristian Høgsberg? Don't you understand how many people will stay away from Fedora or Linux when developers are incompetent to make a driver? I'm not even suggesting that they shoud make a good driver, but one that just works.
Comment 19 Joachim Frieben 2009-08-09 03:49:32 EDT
Created attachment 356796 [details]
Xorg.0.log for Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device rev 3

X crashes upon enabling "Desktop Effects" for an Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device rev 3 and the latest F11 builds including:

- kernel-PAE-2.6.29.6-217.2.3.fc11.i686
- mesa-*-7.6-0.2.fc11.i586
- xorg-x11-drv-intel-2.7.0-7.fc11.i586
- xorg-x11-server-*-1.6.2-3.fc11.i586

Xorg.0.log exhibits a backtrace related to the crash:

  Backtrace:
  0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812d18b]
  1: /usr/bin/Xorg(xf86SigHandler+0x9e) [0x80c302e]
  2: [0x963400]
  3: /usr/lib/dri/i915_dri.so [0xe5d44b]
  4: /usr/lib/dri/i915_dri.so(i830UpdateTextureState+0x63) [0xe5d7a8]
  5: /usr/lib/dri/i915_dri.so [0xe90c94]
  6: /usr/lib/dri/libdricore.so(_tnl_draw_prims+0xaf4) [0xbba19c]
  7: /usr/lib/dri/libdricore.so [0xbb1935]
  8: /usr/lib/dri/libdricore.so [0xba221e]
  9: /usr/lib/xorg/modules/extensions//libglx.so [0x69dc48]
  10: /usr/lib/xorg/modules/extensions//libglx.so [0x697c94]
  11: /usr/lib/xorg/modules/extensions//libglx.so [0x69c4a0]
  12: /usr/bin/Xorg(Dispatch+0x347) [0x80864e7]
  13: /usr/bin/Xorg(main+0x395) [0x806baf5]
  14: /lib/libc.so.6(__libc_start_main+0xe6) [0x2cba66]
  15: /usr/bin/Xorg [0x806afa1]

  Fatal server error:
  Caught signal 11.  Server aborting
Comment 20 Adam Williamson 2009-08-10 13:52:05 EDT
dennis: this is a bug reporting system, not a forum. Please do not post rants here.

(Additionally, insulting the competence of an engineer is rarely the best way to go about getting him to fix your problem.)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 21 Joachim Frieben 2009-10-01 02:32:53 EDT
No improvement for latest F11 updates including:

- kernel-PAE-2.6.30.8-67.fc11.i686
- libdrm-2.4.11-2.fc11.i586
- mesa-*-7.6-0.1.fc11.i586
- xorg-x11-drv-intel-2.7.0-8.fc11.i586
- xorg-x11-server-Xorg-1.6.4-0.2.fc11.i586
Comment 22 Davinder Khabra 2009-10-01 06:07:01 EDT
As I posted earlier on my MacBook 1.1 w/Intel Graphics and Fedora 11 desktop effects don't work.  I'm now using Ubuntu 9.04 on my MacBook 1.1 with desktop effects enabled and have not experienced any graphical problems even with dual lcd monitors (just make sure both have same settings for refresh rate).  Clearly Ubuntu team have found a way to make desktop effects work on intel graphics, so maybe Fedora team could ask, take a look?
Comment 23 Adam Williamson 2009-10-01 15:01:19 EDT
Ubuntu uses generally rather older versioned components of...just about everything than Fedora. It's not a direct comparison.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 25 Matěj Cepl 2009-11-05 13:23:13 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 26 Chris Bredesen 2009-11-05 13:30:47 EST
I have not had this issue for many weeks on F11 64 (fully updated) with KMS enabled.
Comment 27 Bryan Christ 2009-11-05 14:30:53 EST
I think I might still have this problem on F11 (not sure), but am downloading F12 Live and will retest in several hours.
Comment 28 Davinder Khabra 2009-11-05 14:48:12 EST
I just tried the F12 Live nightly build, booted up with kms active then logged in, enabled compiz and everything froze on my MacBook 1.1.

I'm also using Ubuntu 9.10 with KMS enabled and compiz is running fine.
Comment 29 Antal KICSI 2009-11-06 06:39:37 EST
I still have the problem with desktop-i386-20091103.16.iso from

http://alt.fedoraproject.org/pub/alt/nightly-composes/

Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device
(rev 01) 

Thanks for your effort!
Comment 30 Joachim Frieben 2009-11-06 09:35:37 EST
To the folks reporting comment 28 and similar: this bug is for the case where KMS is **disabled**. You are rather interested in bug 517561.

For the present case **without** KMS, current "rawhide" behaves already much better. X tries to enable destop effects, the screen flashes, and the user is then asked whether he wants to keep the current settings. There is no window decorator and no noticeable desktop effect. The setting in the desktop effects applet is "Compiz" though. Disabling desktop effects then reverts to the previous situation with metacity as winodw manager. File ".xsession-errors" shows an error message

  "gtk-window-decorator: Screen 0 on display ":0.0" already has a decoration
   manager; try using the --replace option to replace the current decoration
   manager.
   miptree doesn't match image" .
Comment 31 Joachim Frieben 2009-11-07 05:12:46 EST
Created attachment 367932 [details]
ABRT backtrace created when enabling desktop effects
Comment 32 Antal KICSI 2009-11-09 06:19:32 EST
To Joachim Namislow - sorry, my mistake - I was watching this from Fedora 11 and I do not realize that I have then KMS disabled!
Comment 33 Bojan Smojver 2009-11-12 16:07:06 EST
I'm not sure if this is the same bug or not, but with KMS disabled on Dell Inspiron 6400 (Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller) on F-12 when compiz is enabled, things become awfully slow. Not completely frozen, but each change that WM is supposed to perform (such as opening a menu) takes half a minute or so. Switching to metacity immediately eliminates the problem. Logs show nothing obvious.

I still have to test in detail what happens with KMS enabled, but hibernate/thaw with KMS and compiz doesn't work, so that isn't an option for me.
Comment 34 Adam Williamson 2009-11-13 01:24:57 EST
No, it is not the same bug. Different hardware, different symptom. Please open a new report (or check for a real dupe). Thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 35 Bojan Smojver 2009-11-13 01:31:35 EST
(In reply to comment #34)
> No, it is not the same bug. Different hardware, different symptom. Please open
> a new report (or check for a real dupe). Thanks!

Thanks. I'm having some major problems with X right now, so I think it's something on my system that's doing this.
Comment 36 Stuart D Gathman 2010-01-15 14:06:13 EST
Same/similar problem on Fedora 12, fresh install, latest updates.  
82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 01)
With KMS, no hardware 3D (mesa 3D), no xvideo.  With "nomodeset", xvideo works, still no hardware 3D, plus attempting to enable compiz anyway results in Xorg lockup.  Additionally, attempting to switch consoles (Ctrl-Atl-F2, etc) with KMS disabled locks up Xorg.  Switch consoles works with KMS enabled.  Attempting to kill a locked up Xorg via a SSH login crashes the entire system.

xorg-x11-drv-intel-2.9.1-1.fc12.i686
kernel-2.6.31.9-174.fc12.i686
Comment 37 Stuart D Gathman 2010-01-15 14:10:53 EST
Created attachment 384687 [details]
Xorg.0.log for 82845G rev 01 and nomodeset

Devels might be interested in Xorg.0.log for the rev 01 chipset, since the original submitter has rev 03.  I'm not sure if I should start a new bug.
Comment 38 Adam Williamson 2010-01-16 01:15:52 EST
for now we're considering it as the same problem for all i8xx hardware.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 39 Matěj Cepl 2010-02-26 07:20:15 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 40 Matěj Cepl 2010-02-26 07:29:34 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Notice, that this is an automatically filed comment for all bugs with hanging NEEDINFO for longer time; it is possible by quirks of bugzilla, that some bugs are in this state even though you have attached the required information; please, make a comment to this bug ... that we should see correctly; I am sorry for the bothering you in such case.]
Comment 41 Jason Long 2010-03-02 09:42:02 EST
Sorry, it took me a while to dust off this piece of hardware and update it to the latest Fedora.

Here's my (overdue) update on what I'm seeing...


The problem I'm seeing is no longer dependent on kernel-mode-setting. I encounter the desktop-effects freezing with KMS enabled and with KMS disabled.

My current package list:

kernel-2.6.31-0.167.rc6.git6.fc12.i686
xorg-x11-drv-intel-2.9.1-1.fc12.i686
xorg-x11-server-Xorg-1.7.5-1.fc12.i686
libdrm-2.4.17-1.fc12.i686

My hardware:
Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device
rev 3


The display locks up when I try to enable desktop effects.

The display locks up when I login to a user that has desktop effects enabled. (In fact, I currently do not know how to disable desktop effects with that user, since I can't login.)


PS-
I haven't yet installed from updates-testing. I will do that next, then try Rawhide.
Comment 42 Jason Long 2010-03-03 10:55:22 EST
I confirmed the problem occurs on the Fedora 12 desktop edition Live-CD... so the problem is not specific to my install.

On Fedora 12, the screen locks up, the mouse pointer freezes. SSH access is still possible. Nothing is output to the kernel logs or Xorg.log logs when the lock-up occurs. I cannot switch to a text-mode virtual terminal.

My next update will describe the behavior I see on Fedora 13 (development branch).
Comment 43 Jason Long 2010-03-03 11:00:34 EST
I have now upgraded to Fedora 13 (development branch). There is still a problem with enabling desktop effects; the symptoms are slightly different.

On Fedora 13, the display does not exactly lock up like before. All the windows (and the menu bar) disappear, and never return, but the mouse pointer is still movable. If I move the mouse pointer to a certain area on the screen, the pointer changes between an I-beam and an arrow. (This makes me wonder if X11 is still alive enough that I can interact with it. Are all the windows invisible?)

The keyboard responds to Ctrl+Alt+F2 to switch virtual terminal. I can login to the text-mode terminals, and even switch back to the X11 terminal. But all I see in X11 is the desktop wallpaper and the mouse pointer.

The following is added to the output of `dmesg' when I try to enable desktop effects.
====
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
render error detected, EIR: 0x00000000
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 805 at 804)
====
and Xorg.0.log has lines like the following
====
[   892.081] (EE) intel(0): Failed to submit batch buffer, expect rendering corruption or even a frozen display: Input/output error.
[   892.087] (EE) intel(0): Failed to submit batch buffer, expect rendering corruption or even a frozen display: Input/output error.
[   892.087] (EE) intel(0): Failed to submit batch buffer, expect rendering corruption or even a frozen display: Input/output error.
[   892.088] (EE) intel(0): Failed to submit batch buffer, expect rendering corruption or even a frozen display: Input/output error.
[   892.088] (EE) intel(0): Failed to submit batch buffer, expect rendering corruption or even a frozen display: Input/output error.
[   892.129] (EE) intel(0): Failed to submit batch buffer, expect rendering corruption or even a frozen display: Input/output error.
====
Comment 44 Jason Long 2010-03-03 11:21:23 EST
Followup to my last comment...

My current package list:

kernel-2.6.31.5-127.fc12.i686
xorg-x11-drv-intel-2.10.0-4.fc13.i686
xorg-x11-server-Xorg-1.7.99.901-8.20100223.fc13.i686
libdrm-2.4.18-0.1.fc13.i686


Same hardware as before, identified by X server as
PCI:*(0:0:2:0) 8086:2562:8086:5247 Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device rev 3, Mem @ 0xf0000000/134217728, 0xffa80000/524288, BIOS @ 0x????????/131072
Comment 45 Adam Williamson 2010-03-03 18:40:55 EST
mixing an f12 kernel with f13 X is really not a great idea, so can you install the latest f13 kernel and test that way? thanks.

it may be worth reporting your f13 issue separately from this f12 report, as it looks like possibly somewhat different now.
Comment 46 Jason Long 2010-03-04 10:21:52 EST
Hmmm...
Ok, it looks like the kernel version I reported above (comment 44) was wrong. It should be kernel-2.6.33-1.fc13.i686.

Also, I just now switched to kernel-PAE-2.6.33-1.fc13.i686 and the behavior is the same.

I agree the symptoms are different, I will open a separate report for the f13 behavior.
Comment 47 Jason Long 2010-03-04 10:59:46 EST
I opened bug 570517 to describe the behavior I see in Fedora 13.
Comment 48 Bug Zapper 2010-04-27 09:10:36 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 49 Bug Zapper 2010-06-28 07:27:50 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.